public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-de/
Date: Mon, 29 Aug 2016 15:49:21 +0000 (UTC)	[thread overview]
Message-ID: <1472485752.54b5799c8f262d5ed9281d4444f1de554d7c31e3.polynomial-c@gentoo> (raw)

commit:     54b5799c8f262d5ed9281d4444f1de554d7c31e3
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 15:46:40 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 15:49:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54b5799c

app-i18n/man-pages-de: Bump to version 1.15 (bug #592386).

Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-i18n/man-pages-de/Manifest                 |  1 +
 app-i18n/man-pages-de/man-pages-de-1.15.ebuild | 53 ++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-i18n/man-pages-de/Manifest b/app-i18n/man-pages-de/Manifest
index 7e84861..c9fa604 100644
--- a/app-i18n/man-pages-de/Manifest
+++ b/app-i18n/man-pages-de/Manifest
@@ -1,2 +1,3 @@
 DIST manpages-de-1.13.tar.xz 1487316 SHA256 d8e278055008ffb11e662fed10aa5b9200caa963ebac41697f38d4f2e9641fff SHA512 ba7c95c83550318c5453bc45c78d162aa83c5d95802c539d62b4e85cc432d20dcace5ab8482f496eca6c50728497a71888f1274df64344a99d6370a256c9e20c WHIRLPOOL fffc6fcb65662dd740253e45bcee00d0539332503392f198db0abd086feaeef5b43f48e303e060fd9d2669ed20d611ac5ba34618884e5549f2f82854af008d5e
 DIST manpages-de-1.14.tar.xz 1508600 SHA256 b5b8baecb7a7fb414e825a90377e96546f7b6c503a800ab6fe19f9ed60db1047 SHA512 096f883f430311fb5be56905d30d6c79e516842cb1d7338f24b5fffaf89d287f235ddc0839040bea3318b96cd5c291317a103992ed4a1735065eac74f4fba6dc WHIRLPOOL a542ac7f844144dfbf0a69fee6e74725dd9ed56a58d36215b2ab9aa4587d950d8eab990c6c6b05a66f5bab36fa5f675988d79555eef14f804e174977641034b5
+DIST manpages-de-1.15.tar.xz 1529576 SHA256 dd2d5f30fb221db23fdd54d1ca27356beaad8257705658252deb0aff242f6303 SHA512 d1f1b9f60c4713d6be650e21b7664ff594dbd542b53148c00d1a2269413d39615dd76be4c4095eeb72e2598b94af134ca5d128b85d9520a1ac404364b8a53948 WHIRLPOOL b0cce22e6cb9e028cae86ff32bf033308df118db49731b65642b065e37f02b614e0af7772db8acf856415ed0c65391a7949930b8e59b9e48ed8fb97ac30355b6

diff --git a/app-i18n/man-pages-de/man-pages-de-1.15.ebuild b/app-i18n/man-pages-de/man-pages-de-1.15.ebuild
new file mode 100644
index 00000000..8eb53fa
--- /dev/null
+++ b/app-i18n/man-pages-de/man-pages-de-1.15.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN/-/}-${PV}"
+
+DESCRIPTION="A somewhat comprehensive collection of Linux german man page translations"
+HOMEPAGE="http://alioth.debian.org/projects/manpages-de/"
+SRC_URI="http://manpages-de.alioth.debian.org/downloads/${MY_P}.tar.xz"
+
+LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+DEPEND="app-text/po4a"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.3-bzip2.patch"
+)
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	default
+
+	# Use the same compression as every other manpage
+	local PORTAGE_COMPRESS_LOCAL=${PORTAGE_COMPRESS-bzip2}
+	if [[ ${PORTAGE_COMPRESS+set} == "set" ]] ; then
+		PORTAGE_COMPRESS_LOCAL="#"
+	fi
+	if [[ ${PORTAGE_COMPRESS_FLAGS+set} != "set" ]] ; then
+		case ${PORTAGE_COMPRESS_LOCAL} in
+			bzip2|gzip)  local PORTAGE_COMPRESS_FLAGS_LOCAL="-9"
+			;;
+		esac
+	fi
+	sed -i -e "s/gzip --best/${PORTAGE_COMPRESS_LOCAL} ${PORTAGE_COMPRESS_FLAGS_LOCAL}/"\
+		po/man{1,2,3,4,5,6,7,8}/Makefile.in po/common.mk || die
+	eautoreconf
+}
+
+src_compile() { :; }
+
+src_install() {
+	emake mandir="${ED}"/usr/share/man install
+	dodoc CHANGES README
+}


             reply	other threads:[~2016-08-29 15:49 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-29 15:49 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-05-17 19:41 [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-de/ Ulrich Müller
2020-03-29 20:05 Ulrich Müller
2020-03-24 20:08 Ulrich Müller
2020-03-18 20:16 Ulrich Müller
2019-12-14  9:57 Ulrich Müller
2019-05-08 19:55 Sergei Trofimovich
2019-05-07 20:14 Tobias Klausmann
2019-05-05 13:45 Mikle Kolyada
2019-05-03  1:45 Aaron Bauman
2019-03-02 11:13 Lars Wendler
2019-03-02 11:13 Lars Wendler
2019-02-17 15:43 Lars Wendler
2019-02-17 15:43 Lars Wendler
2018-10-17 21:38 Virgil Dupras
2018-04-22  1:33 Aaron Bauman
2017-12-18 18:14 Manuel Rüger
2017-12-18 18:14 Manuel Rüger
2017-02-13 10:58 Manuel Rüger
2017-02-13 10:58 Manuel Rüger
2016-09-28  7:12 Lars Wendler
2016-09-28  7:12 Lars Wendler
2016-09-28  7:12 Lars Wendler
2016-08-29 15:49 Lars Wendler
2016-08-29 15:49 Lars Wendler
2016-08-09  8:10 Lars Wendler
2016-08-09  8:10 Lars Wendler
2016-06-16  7:29 Lars Wendler
2016-06-16  7:29 Lars Wendler
2016-06-08 19:17 Mike Frysinger
2016-06-08 19:17 Mike Frysinger
2016-04-18  7:33 Lars Wendler
2016-02-17 21:14 Manuel Rüger
2016-02-17 21:13 Manuel Rüger
2016-01-16 17:50 Manuel Rüger
2016-01-08 23:32 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1472485752.54b5799c8f262d5ed9281d4444f1de554d7c31e3.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox